<?php
require_once 'assets/locales/trad.php';
?>

<!doctype html>
<html lang="fr">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Créer une recette</title>

  <link rel="stylesheet" href="assets/css/style.css">
  <link rel="stylesheet" href="assets/css/create.css">

  <script type="module" src="assets/js/form.js"></script>
</head>
<body>
<?php
include_once 'assets/php/navbar.php';
?>

<form action="assets/php/saveRecipe.php" method="post" enctype="multipart/form-data">
  <label for="thumbnail">
      <?= $t['create']['form']['thumbnail'] ?>
  </label>
  <input type="file" name="thumbnail" id="thumbnail" accept="image/*"/>
  <p></p>
  
  <label for="title">
      <?= $t['create']['form']['title'] ?>
  </label>
  <input name="title" type="text" placeholder="Titre" id="title"/>
  <p></p>

  <label for="description">
      <?= $t['create']['form']['description'] ?>
  </label>
  <textarea name="description" id="description" cols="30" rows="10"></textarea>
  <p></p>

  <button type="submit">
      <?= $t['core']['save'] ?>
  </button>
</form>

</body>
</html>