<?php
require_once 'assets/php/Recipe.php';
$recipeObject = new Recipe();
$recipes = $recipeObject->getAll();
?>

<!doctype html>
<html lang="fr">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Créer une recette</title>
  <style>
      .sr-only {
          border: 0 !important;
          clip: rect(1px, 1px, 1px, 1px) !important;
          -webkit-clip-path: inset(50%) !important;
          clip-path: inset(50%) !important;
          height: 1px !important;
          overflow: hidden !important;
          padding: 0 !important;
          position: absolute !important;
          width: 1px !important;
          white-space: nowrap !important;
      }
  </style>
</head>
<body>
<form action="assets/php/saveRecipe.php" method="post">
  <label for="title">Titre</label>
  <input name="title" type="text" placeholder="Titre" id="title"/>

  <label for="description">Description</label>
  <textarea name="description" id="description" cols="30" rows="10"></textarea>

  <button type="submit">Enregistrer</button>
</form>

<ul>
    <?php foreach ($recipes as $recipe) : ?>
      <li>
        <article>
          <h2><?= $recipe['title'] ?></h2>
          <p><?php echo $recipe['description'] ?></p>
          <p><a href="/recipe.php?id=<?= $recipe['id'] ?>">Voir plus</a></p>
        </article>
      </li>
    <?php endforeach; ?>
</ul>
</body>
</html>